using System;

namespace Minesweeper.Core
{
    public interface IGamePauseService
    {
        event Action<bool> PauseChanged;

        bool IsPaused { get; }

        void Pause();
        void Resume();
    }
}
